<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.Xai.lib.find.BPriceLocat</name>
<version>1</version>
<engineversion>25</engineversion>
<description>Find best price location</description>
<arguments>
<argument index="1" name="ware" type="Var/Ware" desc="Ware" />
<argument index="2" name="Buying" type="Var/Number" desc="Best Buying" />
<argument index="3" name="MaxPrice" type="Var/Number" desc="Max Price" />
<argument index="4" name="Max.jumps" type="Var/Number" desc="Max Jumps" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var>Created&#160;by&#160;Xai&#160;Corporation,&#160;764</var></comment></line>
<line linenr="002" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="003" indent=""><comment><text>*&#160;</text><var>Free&#160;for&#160;use&#160;in&#160;3rd&#160;party&#160;scripts,&#160;but</var></comment></line>
<line linenr="004" indent=""><comment><text>*&#160;</text><var>please&#160;mention&#160;Xai&#160;Corporation&#160;in&#160;your&#160;documentation</var></comment></line>
<line linenr="005" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="006" indent=""><comment><text>*&#160;</text><var>finds&#160;a&#160;suitable&#160;location&#160;to&#160;buy&#160;a&#160;ware&#160;based&#160;on&#160;special&#160;routes</var></comment></line>
<line linenr="007" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="008" indent=""></line>
<line linenr="009" indent=""><var>skip&#160;if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;is&#160;of&#160;class&#160;</text><var>Station</var></line>
<line linenr="010" indent="&#160;"><var>$trader&#160;=&#160;</var><var>[THIS]</var></line>
<line linenr="011" indent=""></line>
<line linenr="012" indent=""><var>if&#160;</var><var>$Buying</var></line>
<line linenr="013" indent="&#160;"></line>
<line linenr="014" indent="&#160;"><var>$i&#160;=&#160;</var><var>4</var></line>
<line linenr="015" indent="&#160;"><var>while&#160;</var><var>$i</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>!</var><text>&#160;</text><var>$station</var></line>
<line linenr="016" indent="&#160;&#160;"><text>dec&#160;</text><var>$i&#160;=&#160;</var></line>
<line linenr="017" indent="&#160;&#160;"></line>
<line linenr="018" indent="&#160;&#160;"><var>if&#160;</var><var>$i</var><text>&#160;</text><var>==</var><text>&#160;</text><var>3</var></line>
<line linenr="019" indent="&#160;&#160;&#160;"><var>$station&#160;=&#160;</var><text>&#160;find&#160;station:&#160;product&#160;</text><var>$ware</var><text>&#160;with&#160;best&#160;price:&#160;&#160;max.price=</text><var>$MaxPrice</var><text>,&#160;amount=</text><var>null</var><text>,&#160;max.jumps=</text><var>$Max.jumps</var><text>,&#160;startsector=</text><var>[SECTOR]</var><text>,&#160;trader=</text><var>$trader</var></line>
<line linenr="020" indent="&#160;&#160;&#160;"></line>
<line linenr="021" indent="&#160;&#160;"><var>else&#160;if&#160;</var><var>$i</var><text>&#160;</text><var>==</var><text>&#160;</text><var>2</var></line>
<line linenr="022" indent="&#160;&#160;&#160;"><var>$station&#160;=&#160;</var><text>&#160;find&#160;station&#160;sells:&#160;resource&#160;</text><var>$ware</var><text>&#160;with&#160;best&#160;price:&#160;max.price=</text><var>$MaxPrice</var><text>,&#160;amount=</text><var>null</var><text>,&#160;max.jumps=</text><var>$Max.jumps</var><text>,&#160;startsector=</text><var>[SECTOR]</var><text>,&#160;trader=</text><var>$trader</var></line>
<line linenr="023" indent="&#160;&#160;&#160;"></line>
<line linenr="024" indent="&#160;&#160;"><var>else&#160;if&#160;</var><var>$i</var><text>&#160;</text><var>==</var><text>&#160;</text><var>1</var></line>
<line linenr="025" indent="&#160;&#160;&#160;"><var>$station&#160;=&#160;</var><text>&#160;find&#160;station:&#160;product&#160;</text><var>$ware</var><text>&#160;with&#160;min.&#160;jumps:&#160;&#160;max.price=</text><var>$MaxPrice</var><text>,&#160;amount=</text><var>null</var><text>,&#160;max.jumps=</text><var>$Max.jumps</var><text>,&#160;startsector=</text><var>[SECTOR]</var><text>,&#160;trader=</text><var>$trader</var></line>
<line linenr="026" indent="&#160;&#160;&#160;"></line>
<line linenr="027" indent="&#160;&#160;"><text>else</text></line>
<line linenr="028" indent="&#160;&#160;&#160;"><var>$station&#160;=&#160;</var><text>&#160;find&#160;station&#160;sells:&#160;resource&#160;</text><var>$ware</var><text>&#160;with&#160;min.&#160;jumps:&#160;max.price=</text><var>$MaxPrice</var><text>,&#160;amount=</text><var>null</var><text>,&#160;max.jumps=</text><var>$Max.jumps</var><text>,&#160;startsector=</text><var>[SECTOR]</var><text>,&#160;trader=</text><var>$trader</var></line>
<line linenr="029" indent="&#160;&#160;&#160;"></line>
<line linenr="030" indent="&#160;&#160;"><text>end</text></line>
<line linenr="031" indent="&#160;&#160;"></line>
<line linenr="032" indent="&#160;&#160;"><var>if&#160;</var><var>$station</var></line>
<line linenr="033" interruptable="@" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.find.route</call><text>&#160;:&#160;</text><text>&#160;start&#160;sector=</text><var>[SECTOR]</var><text>&#160;</text><text>&#160;dest&#160;sector=</text><var>$station</var><text>&#160;</text><text>&#160;excluding&#160;sectors=</text><var>[TRUE]</var><text>&#160;</text><text>&#160;max&#160;jumps=</text><var>$Max.jumps</var></line>
<line linenr="034" indent="&#160;&#160;&#160;&#160;"><text>break</text></line>
<line linenr="035" indent="&#160;&#160;&#160;"><text>else</text></line>
<line linenr="036" indent="&#160;&#160;&#160;&#160;"><var>$station&#160;=&#160;</var><var>null</var></line>
<line linenr="037" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="038" indent="&#160;&#160;"><text>end</text></line>
<line linenr="039" indent="&#160;&#160;"></line>
<line linenr="040" indent="&#160;"><text>end</text></line>
<line linenr="041" indent="&#160;"></line>
<line linenr="042" indent=""><text>else</text></line>
<line linenr="043" indent="&#160;"><var>$station&#160;=&#160;</var><text>&#160;find&#160;station:&#160;resource&#160;</text><var>$ware</var><text>&#160;with&#160;best&#160;price:&#160;min.price=</text><var>$MaxPrice</var><text>,&#160;amount=</text><var>null</var><text>,&#160;max.jumps=</text><var>$Max.jumps</var><text>,&#160;startsector=</text><var>[SECTOR]</var><text>,&#160;trader=</text><var>[THIS]</var></line>
<line linenr="044" indent="&#160;"><var>if&#160;</var><var>$station</var></line>
<line linenr="045" interruptable="@" indent="&#160;&#160;"><var>skip&#160;if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.find.route</call><text>&#160;:&#160;</text><text>&#160;start&#160;sector=</text><var>[SECTOR]</var><text>&#160;</text><text>&#160;dest&#160;sector=</text><var>$station</var><text>&#160;</text><text>&#160;excluding&#160;sectors=</text><var>[TRUE]</var><text>&#160;</text><text>&#160;max&#160;jumps=</text><var>$Max.jumps</var></line>
<line linenr="046" indent="&#160;&#160;&#160;"><var>$station&#160;=&#160;</var><var>null</var></line>
<line linenr="047" indent="&#160;"><text>end</text></line>
<line linenr="048" indent="&#160;"></line>
<line linenr="049" indent="&#160;"><var>$station&#160;=&#160;</var><text>&#160;find&#160;station:&#160;resource&#160;</text><var>$ware</var><text>&#160;with&#160;min.&#160;jumps:&#160;min.price=</text><var>$MaxPrice</var><text>,&#160;amount=</text><var>null</var><text>,&#160;max.jumps=</text><var>$Max.jumps</var><text>,&#160;startsector=</text><var>[SECTOR]</var><text>,&#160;trader=</text><var>[THIS]</var></line>
<line linenr="050" indent="&#160;"><var>if&#160;</var><var>$station</var></line>
<line linenr="051" interruptable="@" indent="&#160;&#160;"><var>skip&#160;if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.find.route</call><text>&#160;:&#160;</text><text>&#160;start&#160;sector=</text><var>[SECTOR]</var><text>&#160;</text><text>&#160;dest&#160;sector=</text><var>$station</var><text>&#160;</text><text>&#160;excluding&#160;sectors=</text><var>[TRUE]</var><text>&#160;</text><text>&#160;max&#160;jumps=</text><var>$Max.jumps</var></line>
<line linenr="052" indent="&#160;&#160;&#160;"><var>$station&#160;=&#160;</var><var>null</var></line>
<line linenr="053" indent="&#160;"><text>end</text></line>
<line linenr="054" indent="&#160;"></line>
<line linenr="055" indent=""><text>end</text></line>
<line linenr="056" indent=""></line>
<line linenr="057" indent=""><text>return&#160;</text><var>$station</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.Xai.lib.find.BPriceLocat" /><sval type="int" val="25" /><sval type="string" val="Find best price location" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="array" size="7"><sval type="string" val="ware" /><sval type="string" val="Buying" /><sval type="string" val="MaxPrice" /><sval type="string" val="Max.jumps" /><sval type="string" val="trader" /><sval type="string" val="i" /><sval type="string" val="station" /></sval><sval type="array" size="32"><sval type="array" size="6"><sval type="int" val="705" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="-536870393" /><sval type="int" val="12" /><sval type="int" val="2016" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610606845" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="16"><sval type="int" val="104" /><sval type="int" val="-1610607095" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="15" /><sval type="int" val="65556" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="4" /><sval type="int" val="-1" /><sval type="int" val="9" /><sval type="int" val="65556" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="5" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610610429" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="14"><sval type="int" val="606" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131075" /><sval type="int" val="65542" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="16" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610609659" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="14"><sval type="int" val="663" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131075" /><sval type="int" val="65542" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="16" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610608891" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="14"><sval type="int" val="607" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131075" /><sval type="int" val="65542" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="16" /></sval><sval type="array" size="14"><sval type="int" val="664" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131075" /><sval type="int" val="65542" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610607357" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="14"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.find.route" /><sval type="int" val="-1610607613" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="4" /><sval type="int" val="131075" /><sval type="int" val="65542" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="22" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="21" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="6" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="31" /></sval><sval type="array" size="14"><sval type="int" val="608" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131075" /><sval type="int" val="65542" /><sval type="int" val="131075" /><sval type="int" val="65536" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610605821" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="14"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.find.route" /><sval type="int" val="-536863993" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="4" /><sval type="int" val="131075" /><sval type="int" val="65542" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="6" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="14"><sval type="int" val="609" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131075" /><sval type="int" val="65542" /><sval type="int" val="131075" /><sval type="int" val="65536" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610604797" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="14"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.find.route" /><sval type="int" val="-536862969" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="4" /><sval type="int" val="131075" /><sval type="int" val="65542" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="6" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="6" /></sval></sval><sval type="array" size="4"><sval type="array" size="2"><sval type="int" val="13" /><sval type="string" val="Ware" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="string" val="Best Buying" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="string" val="Max Price" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="string" val="Max Jumps" /></sval></sval><sval type="array" size="32"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Created by Xai Corporation, 764" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Free for use in 3rd party scripts, but" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="please mention Xai Corporation in your documentation" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="finds a suitable location to buy a ware based on special routes" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="2" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="3" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="6" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="8" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="11" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="14" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="15" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="16" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="16" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="16" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="19" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="20" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="21" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="21" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="21" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="22" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="22" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="23" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="27" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="27" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="31" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="31" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="31" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="31" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
